Subject: RE: Problems building gcc-2.95.2
From: "Blythe.Stephen" <[email-masked]>
To: "'Earnie Boyd'" <[email-masked]>
Date: Mon, 19 Feb 2001 09:52:47 -0800

> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: 19 February 2001 17:11
> To: Blythe.Stephen
> Cc: 'Cygwin Mailing List'
> Subject: Re: Problems building gcc-2.95.2
> 
> 
> "Blythe.Stephen" wrote:
> > 
> > Hi,
> > 
> > I have been trying to compile gcc-2.95.2 to act as a native 
> compiler on a
> > cygwin system.  (My eventual aim is to compile it to act as a
> > cygwin->m68k-coff cross compiler, but I decided to try to 
> compile it as a
> > native first, thinking it might be easier.)
> > 
> > This is my config script, which I am running in a separate 
> folder from the
> > sources:
> > #!/bin/bash
> > ../gcc-2.95.2/configure --prefix=/usr/local/i686-gcc 
> --enable-languages=c++
> > 
> > It (correctly, I think) recognises the host (and target) as 
> i686-pc-cygwin
> > and all seems to configure OK, but when I "make bootstrap" 
> it, it fails,
> > because it can't find "windows.h".
> > It compile a lot of other files OK, so I guess it finds all 
> the rest of the
> > header files OK, it just doesn't like this one.
> > The file is present in /usr/include/w32api, but the 
> compiler doesn't seem to
> > be looking in here for it.
> > Can anyone help?  I'm guessing someone has successfully done this.
> > 
> > I hope this is sufficiently on-topic (i.e. cygwin specific) 
> not to annoy
> > everyone on here, and I have tried searching the archives 
> (and various GCC
> > and cross-GCC FAQs) already, but with no luck.
> > 
> 
> You'll need to 
>   CC='gcc -mwin32' ../gcc-2.95.2/configure ...
> 

Thanks Earnie.  Now I have...
CC='gcc -mwin32'
../gcc-2.95.2/configure --prefix=/usr/local --enable-languages=c++

But now I get a report from gcc that win32 is not a valid option.

Thanks for your help,

Stephen

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple